metadata:
  name: fixedfunction-webserver
  format: "Apertis Test Definition 1.0"
  image-types:
    fixedfunction: [ armhf, arm64, amd64 ]
  image-deployment:
    - APT
    - OSTree
  type: functional
  exec-type: manual
  priority: medium
  maintainer: "Apertis Project"
  description: "Fixed function Web server."

  pre-conditions:
    - "Make sure a Network connection is active on the system."

  expected:
    - "The browser should display the following:"
    - |
        >Welcome to Apertis!
        If you see this page, Apertis fixed function image is successfully installed and working.
        For online documentation and support please refer to www.apertis.org.
        Thank you for using Apertis.

run:
  steps:
    - "Browse the DUT address from a web browser:"
    - |
        >http://<device-ip>
